Bug 414369 - Please add Lebanon to the list of holidays.
Summary: Please add Lebanon to the list of holidays.
Status: REOPENED
Alias: None
Product: frameworks-kholidays
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: 5.64.0
Platform: Other Linux
: NOR wishlist
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-21 16:06 UTC by Hussam Al-Tayeb
Modified: 2019-12-05 14:59 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
draft holiday file (3.05 KB, text/plain)
2019-11-22 20:17 UTC, Hussam Al-Tayeb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hussam Al-Tayeb 2019-11-21 16:06:21 UTC
Hello. Please add Lebanon to the list of holidays.

Thank you.
Comment 1 Hussam Al-Tayeb 2019-11-22 20:17:24 UTC
Created attachment 124065 [details]
draft holiday file

I tried to write a holiday file by imitating the eg_ar file but I'm not sure I did it correctly or how to install it.
Comment 2 Allen Winter 2019-11-30 14:52:07 UTC
Git commit 748d0219f3f34c729f21fe670030a3986c774342 by Allen Winter.
Committed on 30/11/2019 at 14:50.
Pushed by winterz into branch 'master'.

add Lebanon holidays

thanks for the contribution Hussam
FIXED-IN: 5.65

M  +1    -0    holidays/holidays.qrc
A  +52   -0    holidays/plan2/holiday_lb_ar

https://commits.kde.org/kholidays/748d0219f3f34c729f21fe670030a3986c774342
Comment 3 Hussam Al-Tayeb 2019-11-30 15:02:32 UTC
Thank you very much, Allen. I will do my best to keep it maintained and up to date.
Comment 4 Luigi Toscano 2019-11-30 15:03:57 UTC
Thanks Hussam - Allen, please commit using the correct authorship information.

The file is not completely correct though, as a few mobile holidays (everything related to Easter, Western and Eastern) should be computed, not have a fixed day. Not sure about the Islamic ones, which use a different calendar (do we support it?)

I'd suggest a revert and more time for review.
Comment 5 Hussam Al-Tayeb 2019-11-30 15:11:51 UTC
The islamic ones are a different calendar but are official governmental holidays. One thing I can do is sync them monthly for each KF5 release. I'm not sure otherwise. Sorry.
Comment 6 Luigi Toscano 2019-11-30 15:19:41 UTC
The question about the calendar is more for the KHolidays maintainers. Of course they are official 

Unfortunately updating is not a solution: the version of Frameworks may be used in different years, or not updated. You may define a way, but in general any recurrent day should be implemented with a formula.

That said, other calendars are supported: see for example this file:
https://cgit.kde.org/kholidays.git/tree/holidays/plan2/holiday_ar_es#n75

Can we please revert it? Right now half of the dates are not properly set. I suggest also the usage of phabricator to submit and discuss the review.
Comment 7 Hussam Al-Tayeb 2019-11-30 15:25:23 UTC
I don't mind a revert. This was of course a draft :)
Comment 8 Luigi Toscano 2019-12-05 14:22:11 UTC
Git commit df770235396d5e7c1dd98cdfeb02eea38660df14 by Luigi Toscano.
Committed on 05/12/2019 at 14:18.
Pushed by ltoscano into branch 'master'.

Revert "add Lebanon holidays"

As discussed in the bug, the change is not complete
and having it as it is in the released Frameworks may be
more problematic than not having it.
Specifically, all the religious date should use the
proper rule for dynamic calculation. This applies
to both Christian holidays like Western and Eastern
Easter and all Islamic holidays, which use a
different calendar.

The initial proposal is interesting but it should go
through a few cycles of reviews, addressing the
This reverts commit 748d0219f3f34c729f21fe670030a3986c774342.

M  +0    -1    holidays/holidays.qrc
D  +0    -52   holidays/plan2/holiday_lb_ar

https://commits.kde.org/kholidays/df770235396d5e7c1dd98cdfeb02eea38660df14
Comment 9 Christophe Giboudeaux 2019-12-05 14:44:19 UTC
You can find examples of islamic holidays in a couple files (holiday_bh_ar, holiday_dz_ar, holiday_eg_ar, holiday_ma_ar)
Comment 10 Hussam Al-Tayeb 2019-12-05 14:59:07 UTC
(In reply to Christophe Giboudeaux from comment #9)
> You can find examples of islamic holidays in a couple files (holiday_bh_ar,
> holiday_dz_ar, holiday_eg_ar, holiday_ma_ar)

This clarifies it a bit https://cgit.kde.org/kholidays.git/tree/holidays/plan2/holiday_bh_ar
Thank you.